function name = get_unique_filename(base, ext);

i = 0;
while 1,
    if nargin > 1
        s = sprintf('%s%03d.%s', base, i, ext);
    else
        s = sprintf('%s%03d', base, i);
    end
    if ~exist(s, 'file') && ~exist([s '.mat'], 'file')
        break;
    end
    i = i+1;
end

name = s;
